# Uses of Class
org.opensaml.saml.criterion.BindingCriterion

Packages that use BindingCriterion
Package
Description
org.opensaml.saml.common.binding.impl
Implementation of SAML binding-level functionality, such as MessageHandlers.

## Uses of BindingCriterion in org.opensaml.saml.common.binding.impl

Methods in org.opensaml.saml.common.binding.impl with parameters of type BindingCriterion
Modifier and Type
Method
Description
`private boolean`
DefaultEndpointResolver.`checkBindingCriterion(BindingCriterion bindings, EndpointType endpoint)`
Verify the candidate's Binding attribute, if set, is among the set in the supplied criterion.